#pragma once
#include <map>
struct Fish_JuKunShopCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//商品名称
	std::string mShopName;
	//商品id
	int mShopItem;
	//商品数量
	int mShopNumber;
	//需要鲲币
	int mNeedKunCoin;
	//权重
	int mWeight;
};

class Fish_JuKunShopCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunShopCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunShopCFGData* GetData(int ID);
	const std::map<int, Fish_JuKunShopCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_JuKunShopCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_JuKunShopCFGData> mMapData;
};
